## kvpnc 0.9.3

=== src/CMakeLists.txt ===
project(kvpnc_src)

include_directories(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})

add_subdirectory(icons)
add_subdirectory(pics)

########### next target ###############

set(kvpnc_SRCS
#         ${sessionadaptors_SRCS}
	ciscocertificateenrollment.cpp
	ciscocertificateenrollmentwidget.cpp
	ciscocertificateenrollmentfinishwidget.cpp
	ciscopasswddecoder.cpp
	configconnectoptions.cpp
	configdaemonoptions.cpp
	configdebugoptions.cpp
	configgeneraloptions.cpp
	confighelperprogramoptions.cpp
	configlogoptions.cpp
	debugoutputtextedit.cpp
	kfeedback.cpp
	kvpncconfig.cpp
	kvpnc.cpp
	kvpnckicker.cpp
	main.cpp
	mainview.cpp
	manageciscocert.cpp
	networkinterface.cpp
	newprofilewizard.cpp
	openvpnmanagementhandler.cpp
	profilecertoptions.cpp
	profileciscooptions.cpp
	profilecmdexecafterconnectoptions.cpp
	profilecmdexecafterdisconnectoptions.cpp
	profilecmdexecbeforeconnectoptions.cpp
	profilecmdexecbeforedisconnectoptions.cpp
	profilegeneraloptions.cpp
	profilenetworkgeneraloptions.cpp
	profilenetworkhttpproxyoptions.cpp
	profilenetworknatoptions.cpp
	profilenetworkrouteoptions.cpp
	profilenetworkvirtualipoptions.cpp
	profileopenvpnoptions.cpp
	profilepptpoptions.cpp
	profilepskoptions.cpp
	profileracoonoptions.cpp
	profileipsecoptions.cpp
	profilesmartcardoptions.cpp
	profileuseroptions.cpp
	profilevtunoptions.cpp
	toolinfo.cpp
	utils.cpp
	vpnaccountdata.cpp
	widgetnotifyhelper.cpp
	newprofilewizardpptp.cpp
	newprofilewizardnetwork.cpp
	newprofilewizardnetworkroute.cpp
	newprofilewizarduser.cpp
	newprofilewizardstart.cpp
	newprofilewizardtypeselection.cpp
	newprofilewizardgeneral.cpp
	newprofilewizardconnectoptions.cpp
	newprofilewizardconnectionstatuscheck.cpp
	newprofilewizardnat.cpp
	newprofilewizardcert.cpp
	newprofilewizardpsk.cpp
	newprofilewizardp12certselection.cpp
	newprofilewizardauthselection.cpp
	newprofilewizardopenvpnauth.cpp
	newprofilewizardopenvpn.cpp
	newprofilewizardopenvpnselection.cpp
	newprofilewizardciscoselection.cpp
	newprofilewizardciscomanually.cpp
	newprofilewizardracoon.cpp
	newprofilewizardfreeswan.cpp
	newprofilenetworkvirtualipoptions.cpp
	listviewtooltip.cpp
	profilesshoptions.cpp
) 
   
set(kvpnc_dialog_SRCS
	ciscocertificateenrollmentdatadialog.cpp
	preferencesdialog.cpp
	newprofiledialog.cpp
	logviewerdialog.cpp
	kvpncimportprofileselectiondialog.cpp
	displaycertdialog.cpp
	enterpassworddialog.cpp
	enterxauthinteractivepasscodedialog.cpp
	generateopenvpnkeydialog.cpp
	helpdialog.cpp
	importcertificatedialog.cpp
	importopenvpnprofiledialog.cpp
	importipsecprofiledialog.cpp
	importprofiledialog.cpp
	addnetworkroutedialog.cpp
	advancedsettingsdialog.cpp
	toolsinfodialog.cpp
	vpntypesinfodialog.cpp
)

kde4_add_ui_files(kvpnc_dialog_SRCS
	addnetworkroutedialogbase4.ui
	advancedprofiledialogbase4.ui
	advancedprofilesettingsdialogbase4.ui
	ciscocertificateenrollmentbase4.ui
	ciscocertificateenrollmentdatadialogbase4.ui
	ciscocertificateenrollmentfinishwidgetbase4.ui
	configconnectoptionsbase4.ui
	configdaemonoptionsbase4.ui
	configgeneraloptionsbase4.ui
	confighelperprogramoptionsbase4.ui
	configlogoptionsbase4.ui
	displaycertdialogbase4.ui
	enterpassworddialogbase4.ui
	enterxauthinteractivepasscodedialogbase4.ui
	generateopenvpnkeydialogbase4.ui
	helpdialogbase4.ui
	importcertificatedialogbase4.ui
	importopenvpnprofiledialogbase4.ui
	importprofiledialogbase4.ui
	kvpncimportprofileselectiondialogbase4.ui
	logviewerdialogbase4.ui
	mainviewbase4.ui
	manageciscocertbase4.ui
	newprofiledialogbase4.ui
	newprofilewizardauthselection4.ui
	newprofilewizardcert4.ui
	newprofilewizardciscomanually4.ui
	newprofilewizardciscopcfimport4.ui
	newprofilewizardciscoselection4.ui
	newprofilewizardconnectionstatuscheck4.ui
	newprofilewizardconnectoptions4.ui
	newprofilewizardfreeswan4.ui
	newprofilewizardgeneral4.ui
	newprofilewizardnat4.ui
	newprofilewizardnetwork4.ui
	newprofilewizardnetworkroute4.ui
	newprofilewizardopenvpn4.ui
	newprofilewizardopenvpnauth4.ui
	newprofilewizardopenvpnselection4.ui
	newprofilewizardp12certselection4.ui
	newprofilewizardpptp4.ui
	newprofilewizardpsk4.ui
	newprofilewizardracoon4.ui
	newprofilewizardstart4.ui
	newprofilewizardtypeselection4.ui
	newprofilewizarduser4.ui
	profilecertoptionsbase4.ui
	profileciscooptionsbase4.ui
	profilecmdexecafterconnectoptionsbase4.ui
	profilecmdexecafterdisconnectoptionsbase4.ui
	profilecmdexecbeforeconnectoptionsbase4.ui
	profilecmdexecbeforedisconnectoptionsbase4.ui
	profilegeneraloptionsbase4.ui
	profilenetworkgeneraloptionsbase4.ui
	profilenetworkhttpproxyoptionsbase4.ui
	profilenetworknatoptionsbase4.ui
	profilenetworkrouteoptionsbase4.ui
	profilenetworkvirtualipoptionsbase4.ui
	profileopenvpnoptionsbase4.ui
	profilepptpoptionsbase4.ui
	profilepskoptionsbase4.ui
	profileracoonoptionsbase4.ui
	profileipsecoptionsbase4.ui
	profilesmartcardoptionsbase4.ui
	profileuseroptionsbase4.ui
	profilevtunoptionsbase4.ui
	toolsinfowidgetbase4.ui
	configdebugoptionsbase4.ui
	profilesshoptionsbase4.ui
)

set(kvpnc_bin_SRCS ${kvpnc_dialog_SRCS} ${kvpnc_SRCS})

kde4_add_executable(kvpnc_bin ${kvpnc_bin_SRCS})
set_target_properties(kvpnc_bin PROPERTIES OUTPUT_NAME kvpnc)

target_link_libraries(kvpnc_bin ${KDE4_KFILE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBGCRYPT_LIBRARIES})

install(FILES kvpnc.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
install(TARGETS kvpnc_bin ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kvpncui.rc DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
install(FILES kvpnc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/icons/CMakeLists.txt ===
add_subdirectory(actions)
kde4_install_icons(${ICON_INSTALL_DIR})

## kvpnc 0.9.6

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -178,7 +178,7 @@
 kde4_add_executable(kvpnc_bin ${kvpnc_bin_SRCS})
 set_target_properties(kvpnc_bin PROPERTIES OUTPUT_NAME kvpnc)
 
-target_link_libraries(kvpnc_bin ${KDE4_KFILE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBGCRYPT_LIBRARIES})
+target_link_libraries(kvpnc_bin ${KDE4_KFILE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBGCRYPT_LIBRARIES} ${KDE4_KPTY_LIBS})
 
 install(FILES kvpnc.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
 install(TARGETS kvpnc_bin ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kvpnc (0.9.6-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 08 Mar 2010 20:39:56 +0100

kvpnc (0.9.5-1) unstable; urgency=low

  * New upstream release.
    - fix ftbfs with binutils-gold. (Closes: #555071)
    - fix ftbfs with gcc-4.5. (Closes: #565022)

  [ José Manuel Santamaría Lema ]
  * Update debian/copyright:
    - Add license and copyright holder for cmake/modules/libgcryptConfig.cmake
      file.

  [ Fathi Boudra ]
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump build dependencies (debhelper, pkg-kde-tools and kdelibs5-dev).
      (Closes: #550279)
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/rules:
    - Enable parallel build (add --parallel option to dh).
    - Remove quilt sequence addon, not needed anymore.

 -- Fathi Boudra <fabo@debian.org>  Mon, 01 Mar 2010 11:45:17 +0100

kvpnc (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Update debian/control:
    - Bump KDE build dependencies.
    - Bump Standards-Version to 3.8.3 (add debian/README.source).
  * Update debian/rules: cleanup.

 -- Fathi Boudra <fabo@debian.org>  Wed, 02 Sep 2009 12:01:18 +0200

kvpnc (0.9.2-1) unstable; urgency=low

  * New upstream release:
    - fix bashisms. (Closes: 489622)
  * Update debian/control:
    - Remove cdbs build dependency.
    - Add quilt build dependency.
    - Add versionned build dependencies.
    - Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Fri, 31 Jul 2009 20:46:37 +0200

kvpnc (0.9.1-1) unstable; urgency=low

  * New upstream release (KDE4 is here)
  * Add Build-Depends cmake and pkg-kde-tools
  * Remove obsolete debian/patches
  * Refresh debian/patches:
    - 10_su-to-root_usage.diff
    - 13_add_kuser_issuperuser.diff
  * Cleanup debian/rules - simple under KDE4
  * Update debian/watch for KDE4 version
  * Update debian/copyright - use versionned licenses
  * Update Section field - move to utils
  * Remove obsolete dependencies: kdebase-bin, gksu, sux and modutils
  * Update debian/kvpnc.{manpages,1}

 -- Mark Purcell <msp@debian.org>  Thu, 23 Apr 2009 09:18:50 +1000

kvpnc (0.9.0-1) unstable; urgency=low

  * New upstream release. (Closes: #416058, #430015)
  * Update my e-mail address.
  * Switch to quilt patch system.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Refresh patches.
  * Update menu file to latest menu policy.
  * Replace l2tpd by xl2tpd as Suggests. (Closes: #439010)
  * Add patch to fix FTBFS with gcc-4.3: duplicate function parameters.
    (Closes: #455664)
  * Add patch to check super user privilege. (Closes: #447805)
  * Cleanup *.gmo files. (Closes: #442623)
  * Build with --as-needed linker flag.

 -- Fathi Boudra <fabo@debian.org>  Wed, 26 Dec 2007 09:02:33 +0100

kvpnc (0.8.9-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 28 May 2007 20:03:17 +0200

kvpnc (0.8.8.1-1) unstable; urgency=low

  * New upstream release
  * Include gcc4.3 patch from Martin (Closes: #417313)
  * lintian configure-generated-file-in-source
    clean:: rm -f config.status config.log
  * Cleanout debian/patches

 -- Mark Purcell <msp@debian.org>  Sat, 28 Apr 2007 20:13:19 +0100

kvpnc (0.8.8-2) unstable; urgency=low

  * Robust debian/rules get-orig-source target
  * Upstream changelog entries:
    - 0.8.7: chap-secrets will now be cleaned up rightly
      - kvpnc writes new entries in chap-secrets rather than overwiting
        (Closes: #354860)
    - 0.8.8: connection timeout fixed (cisco)
      - Cisco connection does not work (Closes: #377713)

 -- Mark Purcell <msp@debian.org>  Sat, 24 Mar 2007 20:00:16 +0000

kvpnc (0.8.8-1) experimental; urgency=low

  * New upstream release.
  * control:
    * build-depends on automake1.9.
    * suggests l2tpd, openct and opensc.
  * copyright: update related to klcc, kfeedback, kdirstat and konversation
    portions of code contained in kvpnc.

 -- Fathi Boudra <fboudra@free.fr>  Wed, 14 Feb 2007 09:50:28 +0100

kvpnc (0.8.7-1) experimental; urgency=low

  * New upstream release
  * Fix bashisms in generated scripts (Closes: #397982)

 -- Fathi Boudra <fboudra@free.fr>  Mon, 13 Nov 2006 12:14:00 +0100

kvpnc (0.8.6.1-1) unstable; urgency=low

  * New upstream release

 -- Fathi Boudra <fboudra@free.fr>  Sun,  1 Oct 2006 22:06:09 +0200

kvpnc (0.8.6-1) unstable; urgency=low

  * New upstream release
  * Add menu in Depends (Closes: #372960)
  * Update copyright file
  * Replace manpage by DEB_INSTALL_MANPAGES rules
  * Remove libtool update patch, not needed since admin dir update
  * Remove desktop path patch, replaced by entries in rules

 -- Fathi Boudra <fboudra@free.fr>  Mon, 25 Sep 2006 12:49:38 +0200

kvpnc (0.8.5.1-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Wed, 24 May 2006 20:32:00 +0100

kvpnc (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Windows PPTP - makes wrong changes on /etc/resolv.conf
    fixed by upstream release (Closes: #359960)
  * Changed kdesu to su-to-root usage (Closes: #359962)
  * Changed Recommends: kdebase-bin to Depends: kdebase-bin | gksu | sux
  * Removed kvpnc dir from /usr/share/doc/kde/HTML (Closes: #367330) 
  * Bumped Standards-Version to current policy

 -- Fathi Boudra <fboudra@free.fr>  Thu, 18 May 2006 10:16:28 +0100

kvpnc (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Windows PPTP - makes wrong changes on /etc/resolv.conf
    fixed by upstream release (Closes: #359960)
  * Wants a username if OpenVPN is used with PSK
    fixed by upstream release (Closes: #359967)
  * Updated build dependency
  * Replaced libcrypto++-dev by libgcrypt11-dev
  * Fix kvpnc.desktop path

 -- Fathi Boudra <fboudra@free.fr>  Wed,  8 Mar 2006 09:02:15 +0100

kvpnc (0.8.3-2) unstable; urgency=low

  * Added missing dependencies (Closes: #355803)


=== debian/control ===
Source: kvpnc
Section: utils
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.4.15), cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.3.4), libgcrypt11-dev
Standards-Version: 3.8.4
Homepage: http://home.gna.org/kvpnc
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kvpnc/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kvpnc/trunk/

Package: kvpnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 menu, net-tools, psmisc, module-init-tools
Suggests: iptables, openssl, openvpn, racoon, vpnc, pptp-linux, openswan,
 xl2tpd, openct, opensc
Description: vpn clients frontend for KDE4
 KVpnc is a KDE4 frontend for various vpn clients.
 .
 It supports :
   * Cisco-compatible VPN client (vpnc)
   * IPSec (freeswan, openswan, strongSwan, racoon)
   * Point-to-Point Tunneling Protocol (PPTP) client (pptp-linux)
   * Virtual Private Network daemon (openvpn)
   * L2TP, Vtun & OpenSSH

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --parallel --with kde $@

.PHONY: override_dh_auto_test

## kvpnc 0.9.6a

=== CMakeLists.txt ===
project(kvpnc)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

set(libgcrypt_DIR ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/libgcryptConfig.cmake)
macro_optional_find_package(libgcrypt)

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

include_directories(${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT4_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}/src)

set(KVPNC_VERSION_STRING "0.9.2-svn")

option(ADD_KVPNC_DEBUG "KVpnc additional debugging support")

add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -180,7 +180,7 @@
 
 target_link_libraries(kvpnc_bin ${KDE4_KFILE_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_KIO_LIBS} ${QT_QTXML_LIBRARY} ${KDE4_KNOTIFYCONFIG_LIBS} ${LIBGCRYPT_LIBRARIES} ${KDE4_KPTY_LIBS})
 
-install(FILES kvpnc.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
+install(FILES kvpnc.notifyrc ping_check.sh DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
 install(TARGETS kvpnc_bin ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES kvpncui.rc DESTINATION ${DATA_INSTALL_DIR}/kvpnc)
 install(FILES kvpnc.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== src/icons/CMakeLists.txt ===
add_subdirectory(actions)
kde4_install_icons(${ICON_INSTALL_DIR})

=== src/pics/CMakeLists.txt ===
install(FILES newprofilewizard.png DESTINATION ${DATA_INSTALL_DIR}/kvpnc/)
install(FILES newprofilewizard_final.png DESTINATION ${DATA_INSTALL_DIR}/kvpnc/)

=== src/icons/actions/CMakeLists.txt ===
kde4_install_icons(${DATA_INSTALL_DIR}/kvpnc/icons)

=== debian/changelog ===
kvpnc (0.9.6a-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-4.7": add patch fix-ftbfs-gcc-4.7-667233.patch from
    Paul Tagliamonte (missing include).
    Closes: #667233

 -- gregor herrmann <gregoa@debian.org>  Sat, 05 May 2012 15:54:42 +0200

kvpnc (0.9.6a-2) unstable; urgency=low

  * Fix FTBFS on autobuilders.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 17:10:06 +0300

kvpnc (0.9.6a-1) unstable; urgency=low

  * New upstream release.
  * Add debug package. (Closes: #575851)
  * Add kvpnc-data package.

 -- Fathi Boudra <fabo@debian.org>  Sun, 30 May 2010 10:33:21 +0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: kvpnc
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, kvpnc-data (= ${source:Version}),
  menu, net-tools, psmisc, module-init-tools
 Suggests: iptables, openssl, openvpn, racoon, vpnc, pptp-linux, openswan,
  xl2tpd, openct, opensc
@@ -25,3 +25,24 @@
    * Point-to-Point Tunneling Protocol (PPTP) client (pptp-linux)
    * Virtual Private Network daemon (openvpn)
    * L2TP, Vtun & OpenSSH
+
+Package: kvpnc-data
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: kvpnc (>= ${source:Version})
+Replaces: kvpnc (<< 0.9.6a)
+Description: data files for KVpnc
+ This package contains the data files for KVpnc, a KDE frontend for various vpn
+ clients. Unlessyou have 'kvpnc' package installed, you probably won't this
+ package useful.
+
+Package: kvpnc-dbg
+Section: debug
+Architecture: any
+Priority: extra
+Depends: ${misc:Depends}, kvpnc (= ${binary:Version})
+Description: vpn clients frontend for KDE4 - debugging symbols
+ KVpnc is a KDE4 frontend for various vpn clients.
+ .
+ This package contains the debugging symbols associated with kvpnc.
+ They will automatically be used by gdb for debugging kvpnc-related issues.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --dbg-package=kvpnc-dbg --with kde --list-missing

override_dh_fixperms:
	dh_fixperms
	find debian -type f -name 'ping_check.sh' | xargs chmod +x

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
 http://download.gna.org/kvpnc/kvpnc-(.*)-kde4\.tar\.bz2 debian svn-upgrade
